package com.muyu.common.nacos;

import com.dtflys.forest.springboot.annotation.ForestScan;
import com.muyu.common.nacos.remote.interceptor.NacosNamespaceInterceptor;
import com.muyu.common.nacos.service.NacosServiceService;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

/**
 * @Author：yang
 * @Package：com.muyu.common.nacos
 * @Project：cloud-common-nacos-remote
 * @name：NacosRemoteConfig
 * @Date：2024/8/9 23:37
 */
@Configuration
@ForestScan(basePackages = "com.muyu.common.nacos.remote")
@Import(value = {
        NacosNamespaceInterceptor.class,
        NacosServiceService.class
})
public class NacosRemoteConfig {
}
